package com.controller.report;

import com.config.BaseController;
import com.config.ControllerInterface;
import com.jfinal.aop.Clear;
import com.service.report.CancellationStatisticsService;
import com.service.report.ClassificationStatisticsService;

@ControllerInterface(path="/classificationStatistics")
public class ClassificationStatisticsController extends BaseController {
    ClassificationStatisticsService service = ClassificationStatisticsService.me;

    /**
     * 22大类
     */
    public void bookClassificationStatistics() {

        int orgid = this.getParaToInt("orgid");
        if(orgid == 0) {
            fail(1,"请求参数不完整!");
            return;
        }
        success(service.bookClassificationStatistics(orgid));
    }

    public void bookClassificationStatistics_z() {

        int orgid = this.getParaToInt("orgid");
        if(orgid == 0) {
            fail(1,"请求参数不完整!");
            return;
        }
        success(service.bookClassificationStatistics_z(orgid));
    }
    /**
     * 合计
     */
    public void bookTotalClassificationStatistics() {

        int orgid = this.getParaToInt("orgid");
        if(orgid == 0) {
            fail(1,"请求参数不完整!");
            return;
        }
        success(service.bookTotalClassificationStatistics(orgid));
    }
    /**
     * 五大类
     */
    public void bookFiveClassificationStatistics() {

        int orgid = this.getParaToInt("orgid");
        if(orgid == 0) {
            fail(1,"请求参数不完整!");
            return;
        }
        success(service.bookFiveClassificationStatistics(orgid));
    }

}
